<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@43B6=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@2524</action>
      <action>temp1 =maincpu.mw@2559</action>
    </script>
    <script state="run">
      <action>maincpu.mw@2524=2526</action>
      <action>maincpu.mw@2559=255B</action>
    </script>
    <script state="off">
      <action>maincpu.mw@2524=temp0 </action>
      <action>maincpu.mw@2559=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Power">
    <script state="run">
      <action>maincpu.pb@43C1=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Bonus">
    <script state="run">
      <action condition="(frame % 75 == 0)">maincpu.pb@43C0=40</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Mines"> <comment>Allows you to lay more than 4 mines, there is a limit on the sprites on screen at once so if you lay too many mines (12) you will not be able shoot or lay more to some have been destroyed.</comment>
    <script state="run">
      <action>maincpu.pb@43ED=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Maximum Bolts"> <comment>Allows you to shoot more than 4 bolts</comment>
    <script state="run">
      <action>maincpu.pb@43F3=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
